Name: rngom
Version: 201103
Release: %mkrel 0.13.20120119svn.1
Group:   Development/Java
Summary: Java library for parsing RELAX NG grammars
License: MIT
URL: https://java.net/projects/rngom

# svn export -r 70 https://svn.java.net/svn/rngom~svn/trunk/rngom rngom-201103
# find rngom-201103/ -name '*.class' -delete
# find rngom-201103/ -name '*.jar' -delete
# tar czf rngom-201103.tar.gz rngom-201103
Source0: %{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-pom.patch

BuildRequires:  maven-local
BuildRequires:  mvn(com.sun.msv.datatype.xsd:xsdlib)
BuildRequires:  mvn(javax.xml.stream:stax-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-clean-plugin)
BuildRequires:  mvn(org.codehaus.mojo:javacc-maven-plugin)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires:  mvn(relaxngDatatype:relaxngDatatype)
BuildRequires:  mvn(xmlunit:xmlunit)

BuildArch: noarch

%description
RNGOM is an open-source Java library for parsing RELAX NG grammars.

In particular, RNGOM can:
* parse the XML syntax
* parse the compact syntax
* check all the semantic restrictions as specified in the specification
* parse RELAX NG into application-defined data structures
* build a default data structure based around the binarized simple syntax or
  another data structure that preserves more of the parsed information
* parse foreign elements/attributes in a schema
* parse comments in a schema

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license licenceheader.txt

%files javadoc -f .mfiles-javadoc
%license licenceheader.txt



%changelog
* Wed Feb 24 2016 neoclust <neoclust> 201103-0.13.20120119svn.1.mga6
+ Revision: 978301
- sync package rngom with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Jan 13 2015 daviddavid <daviddavid> 201103-0.8.20120119svn.4.mga5
+ Revision: 810488
- build with xmvn
- use .mfiles generated during build
- update BuildRequires and Requires
- add docs on both packages

* Sat Oct 25 2014 umeabot <umeabot> 201103-0.8.20120119svn.3.mga5
+ Revision: 793317
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Dec 26 2013 dmorgan <dmorgan> 201103-0.8.20120119svn.1.mga4
+ Revision: 560795
- Use add_maven_depmap instead of add_to_maven_depmap to fix FTBFS

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Thu Jan 17 2013 dmorgan <dmorgan> 0.2-0.201103.4.mga3
+ Revision: 389028
- Remove glassfish-stax-api support

* Thu Jan 17 2013 dmorgan <dmorgan> 0.2-0.201103.3.mga3
+ Revision: 389018
- Remove glassfish-stax-api support

* Mon Jan 14 2013 umeabot <umeabot> 0.2-0.201103.2.mga3
+ Revision: 380372
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 27 2011 gil <gil> 0.2-0.201103.1.mga2
+ Revision: 158515
- rebuilt with mvn3, fix BR stax api
- update to 201103-SNAPSHOT
- imported package rngom

  + dmorgan <dmorgan>
    - Fix buildrequires
    - Clean spec file


* Tue Jul 05 2011 gil <gil> 20061207-0.%%mkrel
- initial rpm